package com.waimai.web.admin.service;

import com.waimai.web.admin.domain.Carts;

import java.util.List;

/**
 * cartsService接口
 * 
 * @author callmeyan
 * @date 2023-04-07
 */
public interface ICartsService 
{
    /**
     * 查询carts
     * 
     * @param fid carts主键
     * @return carts
     */
    public Carts selectCartsById(Long fid,Long uid);

    /**
     * 查询carts列表
     * 
     * @param carts carts
     * @return carts集合
     */
    public List<Carts> selectCartsList(Carts carts);

    /**
     * 新增carts
     * 
     * @param carts carts
     * @return 结果
     */
    public int insertCarts(Carts carts);

    /**
     * 修改carts
     * 
     * @param carts carts
     * @return 结果
     */
    public int updateCarts(Carts carts);

    /**
     * 批量删除carts
     * 
     * @param fids 需要删除的carts主键集合
     * @return 结果
     */
    public int deleteCartsByFids(Long[] fids);

    /**
     * 删除carts信息
     * 
     * @param fid carts主键
     * @return 结果
     */
    public int deleteCartsByFid(Long fid);
}
